OSDN Git Service

unstable-commit
authorteoxx <teoxx@0e905424-1750-4201-adbd-bf076348bc1c>
Wed, 10 Dec 2008 00:46:11 +0000 (00:46 +0000)
committerteoxx <teoxx@0e905424-1750-4201-adbd-bf076348bc1c>
Wed, 10 Dec 2008 00:46:11 +0000 (00:46 +0000)
git-svn-id: svn+ssh://svn.sourceforge.jp/svnroot/applied-gslp@131 0e905424-1750-4201-adbd-bf076348bc1c

23 files changed:
trunk/autom4te.cache/output.2
trunk/autom4te.cache/output.4
trunk/autom4te.cache/requests
trunk/autom4te.cache/traces.2
trunk/autom4te.cache/traces.4
trunk/config.h
trunk/config.h.in
trunk/config.log
trunk/config.status
trunk/configure
trunk/configure.in
trunk/configure.scan
trunk/dlacluster/libcmdline.a
trunk/lib/Makefile
trunk/lib/Makefile.am
trunk/lib/Makefile.in
trunk/lib/libchk.a
trunk/noumerov/Makefile
trunk/noumerov/Makefile.am
trunk/noumerov/Makefile.in
trunk/noumerov/noumerov
trunk/noumerov/noumerov.c
trunk/noumerov/noumerov.o

index 59ee214..756688e 100644 (file)
@@ -4517,6 +4517,36 @@ else
 fi
 
 
+{ echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
+echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
+set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
+if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.make <<\_ACEOF
+SHELL = /bin/sh
+all:
+       @echo '@@@%%%=$(MAKE)=@@@%%%'
+_ACEOF
+# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
+case `${MAKE-make} -f conftest.make 2>/dev/null` in
+  *@@@%%%=?*=@@@%%%*)
+    eval ac_cv_prog_make_${ac_make}_set=yes;;
+  *)
+    eval ac_cv_prog_make_${ac_make}_set=no;;
+esac
+rm -f conftest.make
+fi
+if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+  SET_MAKE=
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+  SET_MAKE="MAKE=${MAKE-make}"
+fi
+
 
 # Checks for libraries.
 
@@ -4722,7 +4752,6 @@ echo "$as_me: error: \"FATAL: cannot find gsl.\"" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
-d
 
 # check for getopt in standard library
 ac_ext=c
@@ -6159,6 +6188,158 @@ fi
 done
 
 
+
+
+
+
+
+
+
+for ac_header in libintl.h limits.h stdint.h stdlib.h string.h strings.h sys/time.h unistd.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+@%:@include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+@%:@include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+@%:@@%:@ --------------------------------- @%:@@%:@
+@%:@@%:@ Report this to BUG-REPORT-ADDRESS @%:@@%:@
+@%:@@%:@ --------------------------------- @%:@@%:@
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+@%:@define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+fi
+
+done
+
+
 # Checks for typedefs, structures, and compiler characteristics.
 { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
@@ -6630,6 +6811,7 @@ fi
 
 
 
+#AC_FUNC_REALLOC
 
 for ac_func in memset
 do
@@ -7101,6 +7283,106 @@ fi
 done
 
 
+
+
+
+
+
+
+for ac_func in memset pow sqrt strchr strcspn strspn strtol
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+@%:@define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+fi
+done
+
+
 #AC_LIBOBJ([malloc])
 
 ac_config_files="$ac_config_files Makefile dimension/Makefile dlacluster/Makefile noumerov/Makefile src/Makefile test/Makefile lib/Makefile"
index 59ee214..756688e 100644 (file)
@@ -4517,6 +4517,36 @@ else
 fi
 
 
+{ echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
+echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
+set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
+if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.make <<\_ACEOF
+SHELL = /bin/sh
+all:
+       @echo '@@@%%%=$(MAKE)=@@@%%%'
+_ACEOF
+# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
+case `${MAKE-make} -f conftest.make 2>/dev/null` in
+  *@@@%%%=?*=@@@%%%*)
+    eval ac_cv_prog_make_${ac_make}_set=yes;;
+  *)
+    eval ac_cv_prog_make_${ac_make}_set=no;;
+esac
+rm -f conftest.make
+fi
+if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+  SET_MAKE=
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+  SET_MAKE="MAKE=${MAKE-make}"
+fi
+
 
 # Checks for libraries.
 
@@ -4722,7 +4752,6 @@ echo "$as_me: error: \"FATAL: cannot find gsl.\"" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
-d
 
 # check for getopt in standard library
 ac_ext=c
@@ -6159,6 +6188,158 @@ fi
 done
 
 
+
+
+
+
+
+
+
+for ac_header in libintl.h limits.h stdint.h stdlib.h string.h strings.h sys/time.h unistd.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+@%:@include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+@%:@include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+@%:@@%:@ --------------------------------- @%:@@%:@
+@%:@@%:@ Report this to BUG-REPORT-ADDRESS @%:@@%:@
+@%:@@%:@ --------------------------------- @%:@@%:@
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+@%:@define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+fi
+
+done
+
+
 # Checks for typedefs, structures, and compiler characteristics.
 { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
@@ -6630,6 +6811,7 @@ fi
 
 
 
+#AC_FUNC_REALLOC
 
 for ac_func in memset
 do
@@ -7101,6 +7283,106 @@ fi
 done
 
 
+
+
+
+
+
+
+for ac_func in memset pow sqrt strchr strcspn strspn strtol
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+@%:@define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+fi
+done
+
+
 #AC_LIBOBJ([malloc])
 
 ac_config_files="$ac_config_files Makefile dimension/Makefile dlacluster/Makefile noumerov/Makefile src/Makefile test/Makefile lib/Makefile"
index aae0799..3010971 100644 (file)
                         'configure.in'
                       ],
                       {
-                        '_LT_AC_TAGCONFIG' => 1,
                         'AM_PROG_F77_C_O' => 1,
-                        'AC_INIT' => 1,
+                        '_LT_AC_TAGCONFIG' => 1,
                         'm4_pattern_forbid' => 1,
+                        'AC_INIT' => 1,
                         'AC_CANONICAL_TARGET' => 1,
-                        'AC_SUBST' => 1,
                         'AC_CONFIG_LIBOBJ_DIR' => 1,
-                        'AC_FC_SRCEXT' => 1,
+                        'AC_SUBST' => 1,
                         'AC_CANONICAL_HOST' => 1,
+                        'AC_FC_SRCEXT' => 1,
                         'AC_PROG_LIBTOOL' => 1,
                         'AM_INIT_AUTOMAKE' => 1,
                         'AC_CONFIG_SUBDIRS' => 1,
@@ -30,8 +30,8 @@
                         'LT_CONFIG_LTDL_DIR' => 1,
                         'AC_REQUIRE_AUX_FILE' => 1,
                         'AC_CONFIG_LINKS' => 1,
-                        'm4_sinclude' => 1,
                         'LT_SUPPORTED_TAG' => 1,
+                        'm4_sinclude' => 1,
                         'AM_MAINTAINER_MODE' => 1,
                         'AM_GNU_GETTEXT_INTL_SUBDIR' => 1,
                         '_m4_warn' => 1,
                         'AH_OUTPUT' => 1,
                         '_AM_SUBST_NOTMAKE' => 1,
                         'AC_CONFIG_AUX_DIR' => 1,
-                        'sinclude' => 1,
-                        'm4_pattern_allow' => 1,
                         'AM_PROG_CC_C_O' => 1,
-                        'AC_CANONICAL_SYSTEM' => 1,
+                        'm4_pattern_allow' => 1,
+                        'sinclude' => 1,
                         'AM_CONDITIONAL' => 1,
+                        'AC_CANONICAL_SYSTEM' => 1,
                         'AC_CONFIG_HEADERS' => 1,
                         'AC_DEFINE_TRACE_LITERAL' => 1,
                         'm4_include' => 1,
                         'configure.in'
                       ],
                       {
-                        'AM_PROG_F77_C_O' => 1,
                         '_LT_AC_TAGCONFIG' => 1,
-                        'm4_pattern_forbid' => 1,
+                        'AM_PROG_F77_C_O' => 1,
                         'AC_INIT' => 1,
+                        'm4_pattern_forbid' => 1,
                         'AC_CANONICAL_TARGET' => 1,
-                        'AC_CONFIG_LIBOBJ_DIR' => 1,
                         'AC_SUBST' => 1,
-                        'AC_CANONICAL_HOST' => 1,
+                        'AC_CONFIG_LIBOBJ_DIR' => 1,
                         'AC_FC_SRCEXT' => 1,
+                        'AC_CANONICAL_HOST' => 1,
                         'AC_PROG_LIBTOOL' => 1,
-                        'AM_INIT_AUTOMAKE' => 1,
                         'AC_HEADER_TIME' => 1,
+                        'AM_INIT_AUTOMAKE' => 1,
                         'AC_CONFIG_SUBDIRS' => 1,
                         'AM_AUTOMAKE_VERSION' => 1,
+                        'AC_FUNC_REALLOC' => 1,
                         'AC_TYPE_SIZE_T' => 1,
                         'AC_CHECK_HEADERS' => 1,
                         'LT_CONFIG_LTDL_DIR' => 1,
-                        'AC_CONFIG_LINKS' => 1,
                         'AC_REQUIRE_AUX_FILE' => 1,
-                        'LT_SUPPORTED_TAG' => 1,
+                        'AC_CONFIG_LINKS' => 1,
                         'm4_sinclude' => 1,
+                        'LT_SUPPORTED_TAG' => 1,
                         'AM_MAINTAINER_MODE' => 1,
                         'AM_GNU_GETTEXT_INTL_SUBDIR' => 1,
                         '_m4_warn' => 1,
                         'AC_C_CONST' => 1,
                         'AM_ENABLE_MULTILIB' => 1,
                         'AC_CONFIG_FILES' => 1,
-                        'include' => 1,
                         'LT_INIT' => 1,
+                        'include' => 1,
                         'AM_GNU_GETTEXT' => 1,
                         'AC_LIBSOURCE' => 1,
                         'AC_FUNC_MALLOC' => 1,
-                        'AC_CANONICAL_BUILD' => 1,
                         'AM_PROG_FC_C_O' => 1,
+                        'AC_CANONICAL_BUILD' => 1,
                         'AC_FC_FREEFORM' => 1,
                         'AH_OUTPUT' => 1,
-                        'AC_CONFIG_AUX_DIR' => 1,
                         '_AM_SUBST_NOTMAKE' => 1,
-                        'AM_PROG_CC_C_O' => 1,
-                        'm4_pattern_allow' => 1,
+                        'AC_CONFIG_AUX_DIR' => 1,
+                        'AC_PROG_MAKE_SET' => 1,
                         'sinclude' => 1,
-                        'AM_CONDITIONAL' => 1,
+                        'm4_pattern_allow' => 1,
+                        'AM_PROG_CC_C_O' => 1,
                         'AC_CANONICAL_SYSTEM' => 1,
+                        'AM_CONDITIONAL' => 1,
                         'AC_CONFIG_HEADERS' => 1,
                         'AC_DEFINE_TRACE_LITERAL' => 1,
                         'm4_include' => 1,
                         '_AM_DEPENDENCIES' => 1,
                         'm4_include' => 1,
                         'AM_PROG_INSTALL_SH' => 1,
-                        'adl_FUNC_GETOPT_LONG' => 1,
                         '_AC_AM_CONFIG_HEADER_HOOK' => 1,
+                        'adl_FUNC_GETOPT_LONG' => 1,
                         'AU_DEFUN' => 1,
                         'AM_MAKE_INCLUDE' => 1
                       }
                         '_AM_DEPENDENCIES' => 1,
                         'm4_include' => 1,
                         'AM_PROG_INSTALL_SH' => 1,
-                        '_AC_AM_CONFIG_HEADER_HOOK' => 1,
                         'adl_FUNC_GETOPT_LONG' => 1,
+                        '_AC_AM_CONFIG_HEADER_HOOK' => 1,
                         'AU_DEFUN' => 1,
                         'AM_MAKE_INCLUDE' => 1
                       }
index 6e612d4..b0c3963 100644 (file)
@@ -203,6 +203,7 @@ m4trace:configure.in:11: -1- m4_pattern_allow([^mkdir_p$])
 m4trace:configure.in:11: -1- AC_SUBST([AWK])
 m4trace:configure.in:11: -1- AC_SUBST_TRACE([AWK])
 m4trace:configure.in:11: -1- m4_pattern_allow([^AWK$])
+m4trace:configure.in:11: -1- AC_PROG_MAKE_SET
 m4trace:configure.in:11: -1- AC_SUBST([SET_MAKE])
 m4trace:configure.in:11: -1- AC_SUBST_TRACE([SET_MAKE])
 m4trace:configure.in:11: -1- m4_pattern_allow([^SET_MAKE$])
@@ -386,18 +387,22 @@ m4trace:configure.in:34: -1- AC_SUBST_TRACE([am__fastdepCC_FALSE])
 m4trace:configure.in:34: -1- m4_pattern_allow([^am__fastdepCC_FALSE$])
 m4trace:configure.in:34: -1- _AM_SUBST_NOTMAKE([am__fastdepCC_TRUE])
 m4trace:configure.in:34: -1- _AM_SUBST_NOTMAKE([am__fastdepCC_FALSE])
-m4trace:configure.in:37: -1- AH_OUTPUT([HAVE_LIBM], [/* Define to 1 if you have the `m\' library (-lm). */
+m4trace:configure.in:35: -1- AC_PROG_MAKE_SET
+m4trace:configure.in:35: -1- AC_SUBST([SET_MAKE])
+m4trace:configure.in:35: -1- AC_SUBST_TRACE([SET_MAKE])
+m4trace:configure.in:35: -1- m4_pattern_allow([^SET_MAKE$])
+m4trace:configure.in:38: -1- AH_OUTPUT([HAVE_LIBM], [/* Define to 1 if you have the `m\' library (-lm). */
 #undef HAVE_LIBM])
-m4trace:configure.in:37: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBM])
-m4trace:configure.in:37: -1- m4_pattern_allow([^HAVE_LIBM$])
-m4trace:configure.in:38: -1- AH_OUTPUT([HAVE_LIBGSLCBLAS], [/* Define to 1 if you have the `gslcblas\' library (-lgslcblas). */
+m4trace:configure.in:38: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBM])
+m4trace:configure.in:38: -1- m4_pattern_allow([^HAVE_LIBM$])
+m4trace:configure.in:39: -1- AH_OUTPUT([HAVE_LIBGSLCBLAS], [/* Define to 1 if you have the `gslcblas\' library (-lgslcblas). */
 #undef HAVE_LIBGSLCBLAS])
-m4trace:configure.in:38: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBGSLCBLAS])
-m4trace:configure.in:38: -1- m4_pattern_allow([^HAVE_LIBGSLCBLAS$])
-m4trace:configure.in:39: -1- AH_OUTPUT([HAVE_LIBGSL], [/* Define to 1 if you have the `gsl\' library (-lgsl). */
+m4trace:configure.in:39: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBGSLCBLAS])
+m4trace:configure.in:39: -1- m4_pattern_allow([^HAVE_LIBGSLCBLAS$])
+m4trace:configure.in:40: -1- AH_OUTPUT([HAVE_LIBGSL], [/* Define to 1 if you have the `gsl\' library (-lgsl). */
 #undef HAVE_LIBGSL])
-m4trace:configure.in:39: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBGSL])
-m4trace:configure.in:39: -1- m4_pattern_allow([^HAVE_LIBGSL$])
+m4trace:configure.in:40: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBGSL])
+m4trace:configure.in:40: -1- m4_pattern_allow([^HAVE_LIBGSL$])
 m4trace:configure.in:43: -1- AC_PREREQ([2.49])
 m4trace:configure.in:43: -1- AC_CHECK_HEADERS([getopt.h])
 m4trace:configure.in:43: -1- AH_OUTPUT([HAVE_GETOPT_H], [/* Define to 1 if you have the <getopt.h> header file. */
@@ -484,76 +489,108 @@ m4trace:configure.in:47: -1- AH_OUTPUT([HAVE_SYS_TIME_H], [/* Define to 1 if you
 m4trace:configure.in:48: -1- AC_CHECK_HEADERS([libintl.h])
 m4trace:configure.in:48: -1- AH_OUTPUT([HAVE_LIBINTL_H], [/* Define to 1 if you have the <libintl.h> header file. */
 #undef HAVE_LIBINTL_H])
-m4trace:configure.in:51: -1- AC_C_CONST
-m4trace:configure.in:51: -1- AC_DEFINE_TRACE_LITERAL([const])
-m4trace:configure.in:51: -1- m4_pattern_allow([^const$])
-m4trace:configure.in:51: -1- AH_OUTPUT([const], [/* Define to empty if `const\' does not conform to ANSI C. */
+m4trace:configure.in:49: -1- AC_CHECK_HEADERS([libintl.h limits.h stdint.h stdlib.h string.h strings.h sys/time.h unistd.h])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_LIBINTL_H], [/* Define to 1 if you have the <libintl.h> header file. */
+#undef HAVE_LIBINTL_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_LIMITS_H], [/* Define to 1 if you have the <limits.h> header file. */
+#undef HAVE_LIMITS_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_STDINT_H], [/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_STDLIB_H], [/* Define to 1 if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_STRING_H], [/* Define to 1 if you have the <string.h> header file. */
+#undef HAVE_STRING_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_STRINGS_H], [/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_SYS_TIME_H], [/* Define to 1 if you have the <sys/time.h> header file. */
+#undef HAVE_SYS_TIME_H])
+m4trace:configure.in:49: -1- AH_OUTPUT([HAVE_UNISTD_H], [/* Define to 1 if you have the <unistd.h> header file. */
+#undef HAVE_UNISTD_H])
+m4trace:configure.in:52: -1- AC_C_CONST
+m4trace:configure.in:52: -1- AC_DEFINE_TRACE_LITERAL([const])
+m4trace:configure.in:52: -1- m4_pattern_allow([^const$])
+m4trace:configure.in:52: -1- AH_OUTPUT([const], [/* Define to empty if `const\' does not conform to ANSI C. */
 #undef const])
-m4trace:configure.in:52: -1- AC_TYPE_SIZE_T
-m4trace:configure.in:52: -1- AC_DEFINE_TRACE_LITERAL([size_t])
-m4trace:configure.in:52: -1- m4_pattern_allow([^size_t$])
-m4trace:configure.in:52: -1- AH_OUTPUT([size_t], [/* Define to `unsigned int\' if <sys/types.h> does not define. */
+m4trace:configure.in:53: -1- AC_TYPE_SIZE_T
+m4trace:configure.in:53: -1- AC_DEFINE_TRACE_LITERAL([size_t])
+m4trace:configure.in:53: -1- m4_pattern_allow([^size_t$])
+m4trace:configure.in:53: -1- AH_OUTPUT([size_t], [/* Define to `unsigned int\' if <sys/types.h> does not define. */
 #undef size_t])
-m4trace:configure.in:53: -1- AC_HEADER_TIME
-m4trace:configure.in:53: -1- AC_DEFINE_TRACE_LITERAL([TIME_WITH_SYS_TIME])
-m4trace:configure.in:53: -1- m4_pattern_allow([^TIME_WITH_SYS_TIME$])
-m4trace:configure.in:53: -1- AH_OUTPUT([TIME_WITH_SYS_TIME], [/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
+m4trace:configure.in:54: -1- AC_HEADER_TIME
+m4trace:configure.in:54: -1- AC_DEFINE_TRACE_LITERAL([TIME_WITH_SYS_TIME])
+m4trace:configure.in:54: -1- m4_pattern_allow([^TIME_WITH_SYS_TIME$])
+m4trace:configure.in:54: -1- AH_OUTPUT([TIME_WITH_SYS_TIME], [/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
 #undef TIME_WITH_SYS_TIME])
-m4trace:configure.in:56: -1- AC_CONFIG_LIBOBJ_DIR([lib])
-m4trace:configure.in:59: -1- AC_FUNC_MALLOC
-m4trace:configure.in:59: -1- AC_CHECK_HEADERS([stdlib.h])
-m4trace:configure.in:59: -1- AH_OUTPUT([HAVE_STDLIB_H], [/* Define to 1 if you have the <stdlib.h> header file. */
+m4trace:configure.in:57: -1- AC_CONFIG_LIBOBJ_DIR([lib])
+m4trace:configure.in:60: -1- AC_FUNC_MALLOC
+m4trace:configure.in:60: -1- AC_CHECK_HEADERS([stdlib.h])
+m4trace:configure.in:60: -1- AH_OUTPUT([HAVE_STDLIB_H], [/* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H])
-m4trace:configure.in:59: -1- AC_DEFINE_TRACE_LITERAL([HAVE_MALLOC])
-m4trace:configure.in:59: -1- m4_pattern_allow([^HAVE_MALLOC$])
-m4trace:configure.in:59: -1- AH_OUTPUT([HAVE_MALLOC], [/* Define to 1 if your system has a GNU libc compatible `malloc\' function, and
+m4trace:configure.in:60: -1- AC_DEFINE_TRACE_LITERAL([HAVE_MALLOC])
+m4trace:configure.in:60: -1- m4_pattern_allow([^HAVE_MALLOC$])
+m4trace:configure.in:60: -1- AH_OUTPUT([HAVE_MALLOC], [/* Define to 1 if your system has a GNU libc compatible `malloc\' function, and
    to 0 otherwise. */
 #undef HAVE_MALLOC])
-m4trace:configure.in:59: -1- AC_DEFINE_TRACE_LITERAL([HAVE_MALLOC])
-m4trace:configure.in:59: -1- m4_pattern_allow([^HAVE_MALLOC$])
-m4trace:configure.in:59: -1- AC_LIBSOURCE([malloc.c])
-m4trace:configure.in:59: -1- AC_SUBST([LIB@&t@OBJS], ["$LIB@&t@OBJS malloc.$ac_objext"])
-m4trace:configure.in:59: -1- AC_SUBST_TRACE([LIB@&t@OBJS])
-m4trace:configure.in:59: -1- m4_pattern_allow([^LIB@&t@OBJS$])
-m4trace:configure.in:59: -1- AC_DEFINE_TRACE_LITERAL([malloc])
-m4trace:configure.in:59: -1- m4_pattern_allow([^malloc$])
-m4trace:configure.in:59: -1- AH_OUTPUT([malloc], [/* Define to rpl_malloc if the replacement function should be used. */
+m4trace:configure.in:60: -1- AC_DEFINE_TRACE_LITERAL([HAVE_MALLOC])
+m4trace:configure.in:60: -1- m4_pattern_allow([^HAVE_MALLOC$])
+m4trace:configure.in:60: -1- AC_LIBSOURCE([malloc.c])
+m4trace:configure.in:60: -1- AC_SUBST([LIB@&t@OBJS], ["$LIB@&t@OBJS malloc.$ac_objext"])
+m4trace:configure.in:60: -1- AC_SUBST_TRACE([LIB@&t@OBJS])
+m4trace:configure.in:60: -1- m4_pattern_allow([^LIB@&t@OBJS$])
+m4trace:configure.in:60: -1- AC_DEFINE_TRACE_LITERAL([malloc])
+m4trace:configure.in:60: -1- m4_pattern_allow([^malloc$])
+m4trace:configure.in:60: -1- AH_OUTPUT([malloc], [/* Define to rpl_malloc if the replacement function should be used. */
 #undef malloc])
-m4trace:configure.in:60: -1- AC_CHECK_FUNCS([memset])
-m4trace:configure.in:60: -1- AH_OUTPUT([HAVE_MEMSET], [/* Define to 1 if you have the `memset\' function. */
+m4trace:configure.in:62: -1- AC_CHECK_FUNCS([memset])
+m4trace:configure.in:62: -1- AH_OUTPUT([HAVE_MEMSET], [/* Define to 1 if you have the `memset\' function. */
+#undef HAVE_MEMSET])
+m4trace:configure.in:63: -1- AC_CHECK_FUNCS([strchr])
+m4trace:configure.in:63: -1- AH_OUTPUT([HAVE_STRCHR], [/* Define to 1 if you have the `strchr\' function. */
+#undef HAVE_STRCHR])
+m4trace:configure.in:64: -1- AC_CHECK_FUNCS([strcspn])
+m4trace:configure.in:64: -1- AH_OUTPUT([HAVE_STRCSPN], [/* Define to 1 if you have the `strcspn\' function. */
+#undef HAVE_STRCSPN])
+m4trace:configure.in:65: -1- AC_CHECK_FUNCS([strspn])
+m4trace:configure.in:65: -1- AH_OUTPUT([HAVE_STRSPN], [/* Define to 1 if you have the `strspn\' function. */
+#undef HAVE_STRSPN])
+m4trace:configure.in:66: -1- AC_CHECK_FUNCS([strtol])
+m4trace:configure.in:66: -1- AH_OUTPUT([HAVE_STRTOL], [/* Define to 1 if you have the `strtol\' function. */
+#undef HAVE_STRTOL])
+m4trace:configure.in:67: -1- AC_CHECK_FUNCS([memset pow sqrt strchr strcspn strspn strtol])
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_MEMSET], [/* Define to 1 if you have the `memset\' function. */
 #undef HAVE_MEMSET])
-m4trace:configure.in:61: -1- AC_CHECK_FUNCS([strchr])
-m4trace:configure.in:61: -1- AH_OUTPUT([HAVE_STRCHR], [/* Define to 1 if you have the `strchr\' function. */
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_POW], [/* Define to 1 if you have the `pow\' function. */
+#undef HAVE_POW])
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_SQRT], [/* Define to 1 if you have the `sqrt\' function. */
+#undef HAVE_SQRT])
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_STRCHR], [/* Define to 1 if you have the `strchr\' function. */
 #undef HAVE_STRCHR])
-m4trace:configure.in:62: -1- AC_CHECK_FUNCS([strcspn])
-m4trace:configure.in:62: -1- AH_OUTPUT([HAVE_STRCSPN], [/* Define to 1 if you have the `strcspn\' function. */
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_STRCSPN], [/* Define to 1 if you have the `strcspn\' function. */
 #undef HAVE_STRCSPN])
-m4trace:configure.in:63: -1- AC_CHECK_FUNCS([strspn])
-m4trace:configure.in:63: -1- AH_OUTPUT([HAVE_STRSPN], [/* Define to 1 if you have the `strspn\' function. */
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_STRSPN], [/* Define to 1 if you have the `strspn\' function. */
 #undef HAVE_STRSPN])
-m4trace:configure.in:64: -1- AC_CHECK_FUNCS([strtol])
-m4trace:configure.in:64: -1- AH_OUTPUT([HAVE_STRTOL], [/* Define to 1 if you have the `strtol\' function. */
+m4trace:configure.in:67: -1- AH_OUTPUT([HAVE_STRTOL], [/* Define to 1 if you have the `strtol\' function. */
 #undef HAVE_STRTOL])
-m4trace:configure.in:68: -1- AC_CONFIG_FILES([Makefile
+m4trace:configure.in:71: -1- AC_CONFIG_FILES([Makefile
                  dimension/Makefile
                  dlacluster/Makefile
                  noumerov/Makefile
                  src/Makefile
                  test/Makefile
                  lib/Makefile])
-m4trace:configure.in:75: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([LIB@&t@OBJS])
-m4trace:configure.in:75: -1- m4_pattern_allow([^LIB@&t@OBJS$])
-m4trace:configure.in:75: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([LTLIBOBJS])
-m4trace:configure.in:75: -1- m4_pattern_allow([^LTLIBOBJS$])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([top_builddir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([srcdir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([abs_srcdir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([top_srcdir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([abs_top_srcdir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([builddir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([abs_builddir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([abs_top_builddir])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([INSTALL])
-m4trace:configure.in:75: -1- AC_SUBST_TRACE([MKDIR_P])
+m4trace:configure.in:78: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([LIB@&t@OBJS])
+m4trace:configure.in:78: -1- m4_pattern_allow([^LIB@&t@OBJS$])
+m4trace:configure.in:78: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([LTLIBOBJS])
+m4trace:configure.in:78: -1- m4_pattern_allow([^LTLIBOBJS$])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([top_builddir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([srcdir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([abs_srcdir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([top_srcdir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([abs_top_srcdir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([builddir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([abs_builddir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([abs_top_builddir])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([INSTALL])
+m4trace:configure.in:78: -1- AC_SUBST_TRACE([MKDIR_P])
index 742aed5..9f54bcc 100644 (file)
@@ -851,9 +851,10 @@ m4trace:configure.in:34: -1- m4_pattern_allow([^am__fastdepCC_TRUE$])
 m4trace:configure.in:34: -1- m4_pattern_allow([^am__fastdepCC_FALSE$])
 m4trace:configure.in:34: -1- _AM_SUBST_NOTMAKE([am__fastdepCC_TRUE])
 m4trace:configure.in:34: -1- _AM_SUBST_NOTMAKE([am__fastdepCC_FALSE])
-m4trace:configure.in:37: -1- m4_pattern_allow([^HAVE_LIBM$])
-m4trace:configure.in:38: -1- m4_pattern_allow([^HAVE_LIBGSLCBLAS$])
-m4trace:configure.in:39: -1- m4_pattern_allow([^HAVE_LIBGSL$])
+m4trace:configure.in:35: -1- m4_pattern_allow([^SET_MAKE$])
+m4trace:configure.in:38: -1- m4_pattern_allow([^HAVE_LIBM$])
+m4trace:configure.in:39: -1- m4_pattern_allow([^HAVE_LIBGSLCBLAS$])
+m4trace:configure.in:40: -1- m4_pattern_allow([^HAVE_LIBGSL$])
 m4trace:configure.in:43: -1- adl_FUNC_GETOPT_LONG
 m4trace:configure.in:43: -1- m4_pattern_allow([^CPP$])
 m4trace:configure.in:43: -1- m4_pattern_allow([^CPPFLAGS$])
@@ -867,14 +868,14 @@ m4trace:configure.in:43: -1- m4_pattern_allow([^HAVE_GETOPT_LONG$])
 m4trace:configure.in:43: -1- m4_pattern_allow([^LIB@&t@OBJS$])
 m4trace:configure.in:43: -1- m4_pattern_allow([^LIB@&t@OBJS$])
 m4trace:configure.in:46: -1- m4_pattern_allow([^STDC_HEADERS$])
-m4trace:configure.in:51: -1- m4_pattern_allow([^const$])
-m4trace:configure.in:52: -1- m4_pattern_allow([^size_t$])
-m4trace:configure.in:53: -1- m4_pattern_allow([^TIME_WITH_SYS_TIME$])
-m4trace:configure.in:59: -1- m4_pattern_allow([^HAVE_MALLOC$])
-m4trace:configure.in:59: -1- m4_pattern_allow([^HAVE_MALLOC$])
-m4trace:configure.in:59: -1- m4_pattern_allow([^LIB@&t@OBJS$])
-m4trace:configure.in:59: -1- m4_pattern_allow([^malloc$])
-m4trace:configure.in:75: -1- m4_pattern_allow([^LIB@&t@OBJS$])
-m4trace:configure.in:75: -1- m4_pattern_allow([^LTLIBOBJS$])
-m4trace:configure.in:75: -1- _AC_AM_CONFIG_HEADER_HOOK([$ac_file])
-m4trace:configure.in:75: -1- _AM_OUTPUT_DEPENDENCY_COMMANDS
+m4trace:configure.in:52: -1- m4_pattern_allow([^const$])
+m4trace:configure.in:53: -1- m4_pattern_allow([^size_t$])
+m4trace:configure.in:54: -1- m4_pattern_allow([^TIME_WITH_SYS_TIME$])
+m4trace:configure.in:60: -1- m4_pattern_allow([^HAVE_MALLOC$])
+m4trace:configure.in:60: -1- m4_pattern_allow([^HAVE_MALLOC$])
+m4trace:configure.in:60: -1- m4_pattern_allow([^LIB@&t@OBJS$])
+m4trace:configure.in:60: -1- m4_pattern_allow([^malloc$])
+m4trace:configure.in:78: -1- m4_pattern_allow([^LIB@&t@OBJS$])
+m4trace:configure.in:78: -1- m4_pattern_allow([^LTLIBOBJS$])
+m4trace:configure.in:78: -1- _AC_AM_CONFIG_HEADER_HOOK([$ac_file])
+m4trace:configure.in:78: -1- _AM_OUTPUT_DEPENDENCY_COMMANDS
index 710fed2..329ea43 100644 (file)
 /* Define to 1 if you have the `memset' function. */
 #define HAVE_MEMSET 1
 
+/* Define to 1 if you have the `pow' function. */
+#define HAVE_POW 1
+
+/* Define to 1 if you have the `sqrt' function. */
+#define HAVE_SQRT 1
+
 /* Define to 1 if you have the <stdint.h> header file. */
 #define HAVE_STDINT_H 1
 
index a8ba26f..bd22f5e 100644 (file)
 /* Define to 1 if you have the `memset' function. */
 #undef HAVE_MEMSET
 
+/* Define to 1 if you have the `pow' function. */
+#undef HAVE_POW
+
+/* Define to 1 if you have the `sqrt' function. */
+#undef HAVE_SQRT
+
 /* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
index 1144dce..5088605 100644 (file)
@@ -4,7 +4,7 @@ running configure, to aid debugging if configure makes a mistake.
 It was created by FULL-PACKAGE-NAME configure VERSION, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
-  $ ./configure 
+  $ ./configure --no-create --no-recursion
 
 ## --------- ##
 ## Platform. ##
@@ -14,7 +14,7 @@ hostname = debian
 uname -m = i686
 uname -r = 2.6.18-6-686
 uname -s = Linux
-uname -v = #1 SMP Mon Aug 18 08:42:39 UTC 2008
+uname -v = #1 SMP Mon Oct 13 16:13:09 UTC 2008
 
 /usr/bin/uname -p = unknown
 /bin/uname -X     = unknown
@@ -28,8 +28,12 @@ uname -v = #1 SMP Mon Aug 18 08:42:39 UTC 2008
 /bin/universe          = unknown
 
 PATH: /home/de/ALPS/bin/
+PATH: /home/de/bin/
 PATH: /home/de/ALPS/bin/
+PATH: /home/de/bin/
+PATH: /home/de/bin
 PATH: /home/de/ALPS/bin/
+PATH: /home/de/bin/
 PATH: /usr/local/bin
 PATH: /usr/bin
 PATH: /bin
@@ -148,24 +152,26 @@ configure:4291: checking for gcc option to accept ISO C89
 configure:4394: result: none needed
 configure:4414: checking dependency style of gcc
 configure:4505: result: gcc3
-configure:4523: checking for main in -lm
-configure:4552: gcc -o conftest -g -O2   conftest.c -lm   >&5
-configure:4558: $? = 0
-configure:4576: result: yes
-configure:4588: checking for main in -lgslcblas
-configure:4617: gcc -o conftest -g -O2   conftest.c -lgslcblas  -lm  >&5
-configure:4623: $? = 0
-configure:4641: result: yes
-configure:4657: checking for main in -lgsl
-configure:4686: gcc -o conftest -g -O2   conftest.c -lgsl  -lgslcblas -lm  >&5
-configure:4692: $? = 0
-configure:4710: result: yes
-configure:4733: checking how to run the C preprocessor
-configure:4773: gcc -E  conftest.c
-configure:4779: $? = 0
-configure:4810: gcc -E  conftest.c
+configure:4520: checking whether make sets $(MAKE)
+configure:4541: result: yes
+configure:4553: checking for main in -lm
+configure:4582: gcc -o conftest -g -O2   conftest.c -lm   >&5
+configure:4588: $? = 0
+configure:4606: result: yes
+configure:4618: checking for main in -lgslcblas
+configure:4647: gcc -o conftest -g -O2   conftest.c -lgslcblas  -lm  >&5
+configure:4653: $? = 0
+configure:4671: result: yes
+configure:4687: checking for main in -lgsl
+configure:4716: gcc -o conftest -g -O2   conftest.c -lgsl  -lgslcblas -lm  >&5
+configure:4722: $? = 0
+configure:4740: result: yes
+configure:4762: checking how to run the C preprocessor
+configure:4802: gcc -E  conftest.c
+configure:4808: $? = 0
+configure:4839: gcc -E  conftest.c
 conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
-configure:4816: $? = 1
+configure:4845: $? = 1
 configure: failed program was:
 | /* confdefs.h.  */
 | #define PACKAGE_NAME "FULL-PACKAGE-NAME"
@@ -178,12 +184,12 @@ configure: failed program was:
 | #define HAVE_LIBGSL 1
 | /* end confdefs.h.  */
 | #include <ac_nonexistent.h>
-configure:4849: result: gcc -E
-configure:4878: gcc -E  conftest.c
-configure:4884: $? = 0
-configure:4915: gcc -E  conftest.c
+configure:4878: result: gcc -E
+configure:4907: gcc -E  conftest.c
+configure:4913: $? = 0
+configure:4944: gcc -E  conftest.c
 conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
-configure:4921: $? = 1
+configure:4950: $? = 1
 configure: failed program was:
 | /* confdefs.h.  */
 | #define PACKAGE_NAME "FULL-PACKAGE-NAME"
@@ -196,175 +202,185 @@ configure: failed program was:
 | #define HAVE_LIBGSL 1
 | /* end confdefs.h.  */
 | #include <ac_nonexistent.h>
-configure:4959: checking for grep that handles long lines and -e
-configure:5033: result: /bin/grep
-configure:5038: checking for egrep
-configure:5116: result: /bin/grep -E
-configure:5121: checking for ANSI C header files
-configure:5151: gcc -c -g -O2  conftest.c >&5
-configure:5157: $? = 0
-configure:5256: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-configure:5259: $? = 0
-configure:5265: ./conftest
-configure:5268: $? = 0
-configure:5285: result: yes
-configure:5309: checking for sys/types.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for sys/stat.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for stdlib.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for string.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for memory.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for strings.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for inttypes.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for stdint.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5309: checking for unistd.h
-configure:5330: gcc -c -g -O2  conftest.c >&5
-configure:5336: $? = 0
-configure:5352: result: yes
-configure:5382: checking getopt.h usability
-configure:5399: gcc -c -g -O2  conftest.c >&5
-configure:5405: $? = 0
-configure:5419: result: yes
-configure:5423: checking getopt.h presence
-configure:5438: gcc -E  conftest.c
-configure:5444: $? = 0
-configure:5458: result: yes
-configure:5491: checking for getopt.h
-configure:5499: result: yes
-configure:5516: checking for getopt_long
-configure:5572: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-configure:5578: $? = 0
-configure:5596: result: yes
-configure:5694: checking for ANSI C header files
-configure:5858: result: yes
-configure:5886: checking limits.h usability
-configure:5903: gcc -c -g -O2  conftest.c >&5
-configure:5909: $? = 0
-configure:5923: result: yes
-configure:5927: checking limits.h presence
-configure:5942: gcc -E  conftest.c
-configure:5948: $? = 0
-configure:5962: result: yes
-configure:5995: checking for limits.h
-configure:6003: result: yes
-configure:5876: checking for stdlib.h
-configure:5882: result: yes
-configure:5876: checking for string.h
-configure:5882: result: yes
-configure:5886: checking sys/time.h usability
-configure:5903: gcc -c -g -O2  conftest.c >&5
-configure:5909: $? = 0
-configure:5923: result: yes
-configure:5927: checking sys/time.h presence
-configure:5942: gcc -E  conftest.c
-configure:5948: $? = 0
-configure:5962: result: yes
-configure:5995: checking for sys/time.h
-configure:6003: result: yes
-configure:6031: checking libintl.h usability
-configure:6048: gcc -c -g -O2  conftest.c >&5
-configure:6054: $? = 0
-configure:6068: result: yes
-configure:6072: checking libintl.h presence
-configure:6087: gcc -E  conftest.c
-configure:6093: $? = 0
-configure:6107: result: yes
-configure:6140: checking for libintl.h
-configure:6148: result: yes
-configure:6163: checking for an ANSI C-conforming const
-configure:6238: gcc -c -g -O2  conftest.c >&5
-configure:6244: $? = 0
-configure:6259: result: yes
-configure:6269: checking for size_t
-configure:6299: gcc -c -g -O2  conftest.c >&5
-configure:6305: $? = 0
-configure:6320: result: yes
-configure:6332: checking whether time.h and sys/time.h may both be included
-configure:6362: gcc -c -g -O2  conftest.c >&5
-configure:6368: $? = 0
-configure:6383: result: yes
-configure:6403: checking for stdlib.h
-configure:6409: result: yes
-configure:6543: checking for GNU libc compatible malloc
-configure:6577: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-configure:6580: $? = 0
-configure:6586: ./conftest
-configure:6589: $? = 0
-configure:6605: result: yes
-configure:6637: checking for memset
-configure:6693: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-conftest.c:55: warning: conflicting types for built-in function 'memset'
-configure:6699: $? = 0
-configure:6717: result: yes
-configure:6731: checking for strchr
-configure:6787: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-conftest.c:56: warning: conflicting types for built-in function 'strchr'
-configure:6793: $? = 0
-configure:6811: result: yes
-configure:6825: checking for strcspn
-configure:6881: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-conftest.c:57: warning: conflicting types for built-in function 'strcspn'
-configure:6887: $? = 0
-configure:6905: result: yes
-configure:6919: checking for strspn
-configure:6975: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-conftest.c:58: warning: conflicting types for built-in function 'strspn'
-configure:6981: $? = 0
-configure:6999: result: yes
-configure:7013: checking for strtol
-configure:7069: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
-configure:7075: $? = 0
-configure:7093: result: yes
-configure:7229: creating ./config.status
-
-## ---------------------- ##
-## Running config.status. ##
-## ---------------------- ##
-
-This file was extended by FULL-PACKAGE-NAME config.status VERSION, which was
-generated by GNU Autoconf 2.61.  Invocation command line was
-
-  CONFIG_FILES    = 
-  CONFIG_HEADERS  = 
-  CONFIG_LINKS    = 
-  CONFIG_COMMANDS = 
-  $ ./config.status 
-
-on debian
-
-config.status:658: creating Makefile
-config.status:658: creating dimension/Makefile
-config.status:658: creating dlacluster/Makefile
-config.status:658: creating noumerov/Makefile
-config.status:658: creating src/Makefile
-config.status:658: creating test/Makefile
-config.status:658: creating lib/Makefile
-config.status:658: creating config.h
-config.status:901: config.h is unchanged
-config.status:973: executing depfiles commands
+configure:4988: checking for grep that handles long lines and -e
+configure:5062: result: /bin/grep
+configure:5067: checking for egrep
+configure:5145: result: /bin/grep -E
+configure:5150: checking for ANSI C header files
+configure:5180: gcc -c -g -O2  conftest.c >&5
+configure:5186: $? = 0
+configure:5285: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+configure:5288: $? = 0
+configure:5294: ./conftest
+configure:5297: $? = 0
+configure:5314: result: yes
+configure:5338: checking for sys/types.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for sys/stat.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for stdlib.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for string.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for memory.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for strings.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for inttypes.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for stdint.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5338: checking for unistd.h
+configure:5359: gcc -c -g -O2  conftest.c >&5
+configure:5365: $? = 0
+configure:5381: result: yes
+configure:5411: checking getopt.h usability
+configure:5428: gcc -c -g -O2  conftest.c >&5
+configure:5434: $? = 0
+configure:5448: result: yes
+configure:5452: checking getopt.h presence
+configure:5467: gcc -E  conftest.c
+configure:5473: $? = 0
+configure:5487: result: yes
+configure:5520: checking for getopt.h
+configure:5528: result: yes
+configure:5545: checking for getopt_long
+configure:5601: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+configure:5607: $? = 0
+configure:5625: result: yes
+configure:5723: checking for ANSI C header files
+configure:5887: result: yes
+configure:5915: checking limits.h usability
+configure:5932: gcc -c -g -O2  conftest.c >&5
+configure:5938: $? = 0
+configure:5952: result: yes
+configure:5956: checking limits.h presence
+configure:5971: gcc -E  conftest.c
+configure:5977: $? = 0
+configure:5991: result: yes
+configure:6024: checking for limits.h
+configure:6032: result: yes
+configure:5905: checking for stdlib.h
+configure:5911: result: yes
+configure:5905: checking for string.h
+configure:5911: result: yes
+configure:5915: checking sys/time.h usability
+configure:5932: gcc -c -g -O2  conftest.c >&5
+configure:5938: $? = 0
+configure:5952: result: yes
+configure:5956: checking sys/time.h presence
+configure:5971: gcc -E  conftest.c
+configure:5977: $? = 0
+configure:5991: result: yes
+configure:6024: checking for sys/time.h
+configure:6032: result: yes
+configure:6060: checking libintl.h usability
+configure:6077: gcc -c -g -O2  conftest.c >&5
+configure:6083: $? = 0
+configure:6097: result: yes
+configure:6101: checking libintl.h presence
+configure:6116: gcc -E  conftest.c
+configure:6122: $? = 0
+configure:6136: result: yes
+configure:6169: checking for libintl.h
+configure:6177: result: yes
+configure:6202: checking for libintl.h
+configure:6208: result: yes
+configure:6202: checking for limits.h
+configure:6208: result: yes
+configure:6202: checking for stdint.h
+configure:6208: result: yes
+configure:6202: checking for stdlib.h
+configure:6208: result: yes
+configure:6202: checking for string.h
+configure:6208: result: yes
+configure:6202: checking for strings.h
+configure:6208: result: yes
+configure:6202: checking for sys/time.h
+configure:6208: result: yes
+configure:6202: checking for unistd.h
+configure:6208: result: yes
+configure:6344: checking for an ANSI C-conforming const
+configure:6419: gcc -c -g -O2  conftest.c >&5
+configure:6425: $? = 0
+configure:6440: result: yes
+configure:6450: checking for size_t
+configure:6480: gcc -c -g -O2  conftest.c >&5
+configure:6486: $? = 0
+configure:6501: result: yes
+configure:6513: checking whether time.h and sys/time.h may both be included
+configure:6543: gcc -c -g -O2  conftest.c >&5
+configure:6549: $? = 0
+configure:6564: result: yes
+configure:6584: checking for stdlib.h
+configure:6590: result: yes
+configure:6724: checking for GNU libc compatible malloc
+configure:6758: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+configure:6761: $? = 0
+configure:6767: ./conftest
+configure:6770: $? = 0
+configure:6786: result: yes
+configure:6819: checking for memset
+configure:6875: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+conftest.c:63: warning: conflicting types for built-in function 'memset'
+configure:6881: $? = 0
+configure:6899: result: yes
+configure:6913: checking for strchr
+configure:6969: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+conftest.c:64: warning: conflicting types for built-in function 'strchr'
+configure:6975: $? = 0
+configure:6993: result: yes
+configure:7007: checking for strcspn
+configure:7063: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+conftest.c:65: warning: conflicting types for built-in function 'strcspn'
+configure:7069: $? = 0
+configure:7087: result: yes
+configure:7101: checking for strspn
+configure:7157: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+conftest.c:66: warning: conflicting types for built-in function 'strspn'
+configure:7163: $? = 0
+configure:7181: result: yes
+configure:7195: checking for strtol
+configure:7251: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+configure:7257: $? = 0
+configure:7275: result: yes
+configure:7295: checking for memset
+configure:7375: result: yes
+configure:7295: checking for pow
+configure:7351: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+conftest.c:69: warning: conflicting types for built-in function 'pow'
+configure:7357: $? = 0
+configure:7375: result: yes
+configure:7295: checking for sqrt
+configure:7351: gcc -o conftest -g -O2   conftest.c -lgsl -lgslcblas -lm  >&5
+conftest.c:70: warning: conflicting types for built-in function 'sqrt'
+configure:7357: $? = 0
+configure:7375: result: yes
+configure:7295: checking for strchr
+configure:7375: result: yes
+configure:7295: checking for strcspn
+configure:7375: result: yes
+configure:7295: checking for strspn
+configure:7375: result: yes
+configure:7295: checking for strtol
+configure:7375: result: yes
+configure:7511: creating ./config.status
 
 ## ---------------- ##
 ## Cache variables. ##
@@ -393,6 +409,8 @@ ac_cv_env_target_alias_value=
 ac_cv_func_getopt_long=yes
 ac_cv_func_malloc_0_nonnull=yes
 ac_cv_func_memset=yes
+ac_cv_func_pow=yes
+ac_cv_func_sqrt=yes
 ac_cv_func_strchr=yes
 ac_cv_func_strcspn=yes
 ac_cv_func_strspn=yes
@@ -557,6 +575,14 @@ target_alias=''
 #define HAVE_STRING_H 1
 #define HAVE_SYS_TIME_H 1
 #define HAVE_LIBINTL_H 1
+#define HAVE_LIBINTL_H 1
+#define HAVE_LIMITS_H 1
+#define HAVE_STDINT_H 1
+#define HAVE_STDLIB_H 1
+#define HAVE_STRING_H 1
+#define HAVE_STRINGS_H 1
+#define HAVE_SYS_TIME_H 1
+#define HAVE_UNISTD_H 1
 #define TIME_WITH_SYS_TIME 1
 #define HAVE_STDLIB_H 1
 #define HAVE_MALLOC 1
@@ -565,6 +591,13 @@ target_alias=''
 #define HAVE_STRCSPN 1
 #define HAVE_STRSPN 1
 #define HAVE_STRTOL 1
+#define HAVE_MEMSET 1
+#define HAVE_POW 1
+#define HAVE_SQRT 1
+#define HAVE_STRCHR 1
+#define HAVE_STRCSPN 1
+#define HAVE_STRSPN 1
+#define HAVE_STRTOL 1
 
 configure: exit 0
 
@@ -579,12 +612,20 @@ generated by GNU Autoconf 2.61.  Invocation command line was
   CONFIG_HEADERS  = 
   CONFIG_LINKS    = 
   CONFIG_COMMANDS = 
-  $ ./config.status noumerov/Makefile depfiles
+  $ ./config.status 
 
 on debian
 
+config.status:658: creating Makefile
+config.status:658: creating dimension/Makefile
+config.status:658: creating dlacluster/Makefile
 config.status:658: creating noumerov/Makefile
-config.status:973: executing depfiles commands
+config.status:658: creating src/Makefile
+config.status:658: creating test/Makefile
+config.status:658: creating lib/Makefile
+config.status:658: creating config.h
+config.status:923: config.h is unchanged
+config.status:995: executing depfiles commands
 
 ## ---------------------- ##
 ## Running config.status. ##
@@ -597,12 +638,11 @@ generated by GNU Autoconf 2.61.  Invocation command line was
   CONFIG_HEADERS  = 
   CONFIG_LINKS    = 
   CONFIG_COMMANDS = 
-  $ ./config.status noumerov/Makefile depfiles
+  $ ./config.status config.h
 
 on debian
 
-config.status:658: creating noumerov/Makefile
-config.status:973: executing depfiles commands
+config.status:658: creating config.h
 
 ## ---------------------- ##
 ## Running config.status. ##
@@ -615,12 +655,30 @@ generated by GNU Autoconf 2.61.  Invocation command line was
   CONFIG_HEADERS  = 
   CONFIG_LINKS    = 
   CONFIG_COMMANDS = 
-  $ ./config.status noumerov/Makefile depfiles
+  $ ./config.status lib/Makefile depfiles
 
 on debian
 
-config.status:658: creating noumerov/Makefile
-config.status:973: executing depfiles commands
+config.status:658: creating lib/Makefile
+config.status:995: executing depfiles commands
+
+## ---------------------- ##
+## Running config.status. ##
+## ---------------------- ##
+
+This file was extended by FULL-PACKAGE-NAME config.status VERSION, which was
+generated by GNU Autoconf 2.61.  Invocation command line was
+
+  CONFIG_FILES    = 
+  CONFIG_HEADERS  = 
+  CONFIG_LINKS    = 
+  CONFIG_COMMANDS = 
+  $ ./config.status lib/Makefile depfiles
+
+on debian
+
+config.status:658: creating lib/Makefile
+config.status:995: executing depfiles commands
 
 ## ---------------------- ##
 ## Running config.status. ##
@@ -638,4 +696,4 @@ generated by GNU Autoconf 2.61.  Invocation command line was
 on debian
 
 config.status:658: creating noumerov/Makefile
-config.status:973: executing depfiles commands
+config.status:995: executing depfiles commands
index 358d8aa..540e5f5 100755 (executable)
@@ -881,6 +881,13 @@ s,^\([      #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_SYS_TIME_H\)[    (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_LIBINTL_H\)[     (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_LIMITS_H\)[      (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_SYS_TIME_H\)[    (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*TIME_WITH_SYS_TIME\)[         (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_MALLOC\)[        (].*,\1define\2 1 ,
@@ -889,11 +896,26 @@ s,^\([     #]*\)[^         ]*\([   ]*HAVE_STRCHR\)[        (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRCSPN\)[       (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRSPN\)[        (].*,\1define\2 1 ,
 s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRTOL\)[        (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_MEMSET\)[        (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_POW\)[   (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_SQRT\)[  (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRCHR\)[        (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRCSPN\)[       (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRSPN\)[        (].*,\1define\2 1 ,
+s,^\([  #]*\)[^         ]*\([   ]*HAVE_STRTOL\)[        (].*,\1define\2 1 ,
 s/ $//
-s,^[    #]*u.*,/* & */,
 CEOF
     sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
-ac_result="$tmp/out1"
+    # First, check the format of the line:
+    cat >"$tmp/defines.sed" <<\CEOF
+/^[     ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
+/^[     ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
+b
+:def
+s,^[    #]*u.*,/* & */,
+CEOF
+    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
+ac_result="$tmp/out2"
   if test x"$ac_file" != x-; then
     echo "/* $configure_input  */" >"$tmp/config.h"
     cat "$ac_result" >>"$tmp/config.h"
index 863d3b0..140fda3 100755 (executable)
@@ -4517,6 +4517,36 @@ else
 fi
 
 
+{ echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
+echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
+set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
+if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.make <<\_ACEOF
+SHELL = /bin/sh
+all:
+       @echo '@@@%%%=$(MAKE)=@@@%%%'
+_ACEOF
+# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
+case `${MAKE-make} -f conftest.make 2>/dev/null` in
+  *@@@%%%=?*=@@@%%%*)
+    eval ac_cv_prog_make_${ac_make}_set=yes;;
+  *)
+    eval ac_cv_prog_make_${ac_make}_set=no;;
+esac
+rm -f conftest.make
+fi
+if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+  SET_MAKE=
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+  SET_MAKE="MAKE=${MAKE-make}"
+fi
+
 
 # Checks for libraries.
 
@@ -4722,7 +4752,6 @@ echo "$as_me: error: \"FATAL: cannot find gsl.\"" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
-d
 
 # check for getopt in standard library
 ac_ext=c
@@ -6159,6 +6188,158 @@ fi
 done
 
 
+
+
+
+
+
+
+
+for ac_header in libintl.h limits.h stdint.h stdlib.h string.h strings.h sys/time.h unistd.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## --------------------------------- ##
+## Report this to BUG-REPORT-ADDRESS ##
+## --------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
 # Checks for typedefs, structures, and compiler characteristics.
 { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
@@ -6630,6 +6811,7 @@ fi
 
 
 
+#AC_FUNC_REALLOC
 
 for ac_func in memset
 do
@@ -7101,6 +7283,106 @@ fi
 done
 
 
+
+
+
+
+
+
+for ac_func in memset pow sqrt strchr strcspn strspn strtol
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+
 #AC_LIBOBJ([malloc])
 
 ac_config_files="$ac_config_files Makefile dimension/Makefile dlacluster/Makefile noumerov/Makefile src/Makefile test/Makefile lib/Makefile"
index 6975d80..8316922 100644 (file)
@@ -32,12 +32,12 @@ AM_LIBS=""
 # Checks for programs.
 AC_PROG_RANLIB
 AC_PROG_CC
+AC_PROG_MAKE_SET
 
 # Checks for libraries.
 AC_CHECK_LIB(m,main)
 AC_CHECK_LIB(gslcblas,main,,AC_MSG_ERROR("FATAL: cannot find gslblas."))
 AC_CHECK_LIB(gsl,main,,AC_MSG_ERROR("FATAL: cannot find gsl."))
-d
 
 # check for getopt in standard library
 adl_FUNC_GETOPT_LONG
@@ -46,6 +46,7 @@ adl_FUNC_GETOPT_LONG
 AC_HEADER_STDC
 AC_CHECK_HEADERS([limits.h stdlib.h string.h sys/time.h])
 AC_CHECK_HEADERS([libintl.h])
+AC_CHECK_HEADERS([libintl.h limits.h stdint.h stdlib.h string.h strings.h sys/time.h unistd.h])
 
 # Checks for typedefs, structures, and compiler characteristics.
 AC_C_CONST
@@ -57,11 +58,13 @@ AC_CONFIG_LIBOBJ_DIR([lib])
 
 # Checks for library functions.
 AC_FUNC_MALLOC
+#AC_FUNC_REALLOC
 AC_CHECK_FUNCS([memset])
 AC_CHECK_FUNCS([strchr])
 AC_CHECK_FUNCS([strcspn])
 AC_CHECK_FUNCS([strspn])
 AC_CHECK_FUNCS([strtol])
+AC_CHECK_FUNCS([memset pow sqrt strchr strcspn strspn strtol])
 
 #AC_LIBOBJ([malloc])
 
index 35bf61a..6d935a5 100644 (file)
@@ -8,12 +8,13 @@ AC_CONFIG_HEADER([config.h])
 
 # Checks for programs.
 AC_PROG_CC
+AC_PROG_MAKE_SET
 
 # Checks for libraries.
 
 # Checks for header files.
 AC_HEADER_STDC
-AC_CHECK_HEADERS([libintl.h limits.h stdlib.h string.h strings.h sys/time.h unistd.h])
+AC_CHECK_HEADERS([libintl.h limits.h stdint.h stdlib.h string.h strings.h sys/time.h unistd.h])
 
 # Checks for typedefs, structures, and compiler characteristics.
 AC_C_CONST
@@ -22,7 +23,8 @@ AC_HEADER_TIME
 
 # Checks for library functions.
 AC_FUNC_MALLOC
-AC_CHECK_FUNCS([memset strchr strcspn strspn strtol])
+#AC_FUNC_REALLOC
+AC_CHECK_FUNCS([memset pow sqrt strchr strcspn strspn strtol])
 
 AC_CONFIG_FILES([Makefile
                  dimension/Makefile
index 435d076..28930b4 100644 (file)
Binary files a/trunk/dlacluster/libcmdline.a and b/trunk/dlacluster/libcmdline.a differ
index 34c5c79..d86a000 100644 (file)
@@ -48,6 +48,10 @@ libchk_a_AR = $(AR) $(ARFLAGS)
 libchk_a_LIBADD =
 am_libchk_a_OBJECTS = chk.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
 libchk_a_OBJECTS = $(am_libchk_a_OBJECTS)
+libdma_dbl_array_a_AR = $(AR) $(ARFLAGS)
+libdma_dbl_array_a_LIBADD =
+am_libdma_dbl_array_a_OBJECTS = dma_dbl_array.$(OBJEXT)
+libdma_dbl_array_a_OBJECTS = $(am_libdma_dbl_array_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -55,8 +59,8 @@ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libchk_a_SOURCES)
-DIST_SOURCES = $(libchk_a_SOURCES)
+SOURCES = $(libchk_a_SOURCES) $(libdma_dbl_array_a_SOURCES)
+DIST_SOURCES = $(libchk_a_SOURCES) $(libdma_dbl_array_a_SOURCES)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
@@ -155,8 +159,9 @@ sysconfdir = ${prefix}/etc
 target_alias = 
 top_builddir = ..
 top_srcdir = ..
-noinst_LIBRARIES = libchk.a
+noinst_LIBRARIES = libchk.a libdma_dbl_array.a
 libchk_a_SOURCES = chk.c chk.h getopt.h getopt.c getopt1.c
+libdma_dbl_array_a_SOURCES = dma_dbl_array.c dma_dbl_array.h
 all: all-am
 
 .SUFFIXES:
@@ -197,6 +202,10 @@ libchk.a: $(libchk_a_OBJECTS) $(libchk_a_DEPENDENCIES)
        -rm -f libchk.a
        $(libchk_a_AR) libchk.a $(libchk_a_OBJECTS) $(libchk_a_LIBADD)
        $(RANLIB) libchk.a
+libdma_dbl_array.a: $(libdma_dbl_array_a_OBJECTS) $(libdma_dbl_array_a_DEPENDENCIES) 
+       -rm -f libdma_dbl_array.a
+       $(libdma_dbl_array_a_AR) libdma_dbl_array.a $(libdma_dbl_array_a_OBJECTS) $(libdma_dbl_array_a_LIBADD)
+       $(RANLIB) libdma_dbl_array.a
 
 mostlyclean-compile:
        -rm -f *.$(OBJEXT)
@@ -205,6 +214,7 @@ distclean-compile:
        -rm -f *.tab.c
 
 include ./$(DEPDIR)/chk.Po
+include ./$(DEPDIR)/dma_dbl_array.Po
 include ./$(DEPDIR)/getopt.Po
 include ./$(DEPDIR)/getopt1.Po
 
index fd67049..2c9c0f2 100644 (file)
@@ -1,7 +1,8 @@
 AM_CFLAGS=@AM_CFLAGS@ @GSL_CFLAGS@
 AM_LIBS=@AM_LIBS@ @GSL_LIBS@
-noinst_LIBRARIES=libchk.a
+noinst_LIBRARIES=libchk.a libdma_dbl_array.a
 libchk_a_SOURCES=chk.c chk.h getopt.h getopt.c getopt1.c
+libdma_dbl_array_a_SOURCES=dma_dbl_array.c dma_dbl_array.h
 #libchk_a_LIBADD=chk.o
 #chk_o_SOURCES = chk.c
 
index 23274d6..0c47960 100644 (file)
@@ -48,6 +48,10 @@ libchk_a_AR = $(AR) $(ARFLAGS)
 libchk_a_LIBADD =
 am_libchk_a_OBJECTS = chk.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
 libchk_a_OBJECTS = $(am_libchk_a_OBJECTS)
+libdma_dbl_array_a_AR = $(AR) $(ARFLAGS)
+libdma_dbl_array_a_LIBADD =
+am_libdma_dbl_array_a_OBJECTS = dma_dbl_array.$(OBJEXT)
+libdma_dbl_array_a_OBJECTS = $(am_libdma_dbl_array_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -55,8 +59,8 @@ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libchk_a_SOURCES)
-DIST_SOURCES = $(libchk_a_SOURCES)
+SOURCES = $(libchk_a_SOURCES) $(libdma_dbl_array_a_SOURCES)
+DIST_SOURCES = $(libchk_a_SOURCES) $(libdma_dbl_array_a_SOURCES)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
@@ -155,8 +159,9 @@ sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-noinst_LIBRARIES = libchk.a
+noinst_LIBRARIES = libchk.a libdma_dbl_array.a
 libchk_a_SOURCES = chk.c chk.h getopt.h getopt.c getopt1.c
+libdma_dbl_array_a_SOURCES = dma_dbl_array.c dma_dbl_array.h
 all: all-am
 
 .SUFFIXES:
@@ -197,6 +202,10 @@ libchk.a: $(libchk_a_OBJECTS) $(libchk_a_DEPENDENCIES)
        -rm -f libchk.a
        $(libchk_a_AR) libchk.a $(libchk_a_OBJECTS) $(libchk_a_LIBADD)
        $(RANLIB) libchk.a
+libdma_dbl_array.a: $(libdma_dbl_array_a_OBJECTS) $(libdma_dbl_array_a_DEPENDENCIES) 
+       -rm -f libdma_dbl_array.a
+       $(libdma_dbl_array_a_AR) libdma_dbl_array.a $(libdma_dbl_array_a_OBJECTS) $(libdma_dbl_array_a_LIBADD)
+       $(RANLIB) libdma_dbl_array.a
 
 mostlyclean-compile:
        -rm -f *.$(OBJEXT)
@@ -205,6 +214,7 @@ distclean-compile:
        -rm -f *.tab.c
 
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chk.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dma_dbl_array.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1.Po@am__quote@
 
index 7c5f466..8f842be 100644 (file)
Binary files a/trunk/lib/libchk.a and b/trunk/lib/libchk.a differ
index 1956082..a0ea885 100644 (file)
@@ -46,7 +46,7 @@ binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
 am_noumerov_OBJECTS = noumerov.$(OBJEXT)
 noumerov_OBJECTS = $(am_noumerov_OBJECTS)
-noumerov_DEPENDENCIES = ../lib/libchk.a
+noumerov_DEPENDENCIES = ../lib/libchk.a ../lib/libdma_dbl_array.a
 DEFAULT_INCLUDES = -I. -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -158,7 +158,7 @@ target_alias =
 top_builddir = ..
 top_srcdir = ..
 noumerov_SOURCES = noumerov.c
-noumerov_LDADD = ../lib/libchk.a
+noumerov_LDADD = ../lib/libchk.a ../lib/libdma_dbl_array.a
 INCLUDES = -I../lib/
 all: all-am
 
index 810d2e1..32b1bc4 100644 (file)
@@ -4,5 +4,5 @@ AM_CFLAGS=@AM_CFLAGS@ @GSL_CFLAGS@ -Wno-error
 AM_LIBS=@AM_LIBS@ @GSL_LIBS@
 bin_PROGRAMS=noumerov
 noumerov_SOURCES=noumerov.c
-noumerov_LDADD = ../lib/libchk.a
+noumerov_LDADD = ../lib/libchk.a ../lib/libdma_dbl_array.a
 INCLUDES = -I../lib/
index b40a1f9..fe3d7c2 100644 (file)
@@ -46,7 +46,7 @@ binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
 am_noumerov_OBJECTS = noumerov.$(OBJEXT)
 noumerov_OBJECTS = $(am_noumerov_OBJECTS)
-noumerov_DEPENDENCIES = ../lib/libchk.a
+noumerov_DEPENDENCIES = ../lib/libchk.a ../lib/libdma_dbl_array.a
 DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -158,7 +158,7 @@ target_alias = @target_alias@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 noumerov_SOURCES = noumerov.c
-noumerov_LDADD = ../lib/libchk.a
+noumerov_LDADD = ../lib/libchk.a ../lib/libdma_dbl_array.a
 INCLUDES = -I../lib/
 all: all-am
 
index daf62fa..68f1b23 100755 (executable)
Binary files a/trunk/noumerov/noumerov and b/trunk/noumerov/noumerov differ
index f0b534c..bd2d29a 100644 (file)
 #include <gsl/gsl_blas.h>
 #include "chk.h"
 #include "debug_print.h"
+#include "dma_dbl_array.h"
 /*
 #include <alloca.h>
 */
-/*
- * dynamic memory allocation double array
- */
-typedef struct {
-       size_t size;
-       double *data;
-       /*
-          size_t array_num;
-          double *array;
-        */
-} dma_dbl_array;
-
-dma_dbl_array *dma_array_new(size_t array_num);
-void dma_array_free(dma_dbl_array * dma_array);
-void dma_array_print(dma_dbl_array * dma_array);
-
-dma_dbl_array *dma_array_new(array_num)
-size_t array_num;
-{
-       dma_dbl_array *dma_array;
-       dma_array = (dma_dbl_array *) chk_calloc(1, sizeof(double));
-       printf("# dma_array_new\n");
-       DEBUG_PRINT1(dma_array);
-       dma_array->size = array_num;
-       DEBUG_PRINT2("% d", dma_array->size);
-       dma_array->data = (double *) chk_calloc(array_num, sizeof(double));
-       DEBUG_PRINT1(dma_array->data);
-       DEBUG_PRINT2("% e", dma_array->data[0]);
-       DEBUG_PRINT2("% e", dma_array->data[1]);
-       printf("# dma_array_new\n");
-       return dma_array;
-}
-
-void dma_array_free(dma_array)
-dma_dbl_array *dma_array;
-{
-       printf("# dma_array_free\n");
-       DEBUG_PRINT2("% d", dma_array->size);
-       DEBUG_PRINT1(dma_array->data);
-       free(dma_array->data);
-       dma_array->data = NULL;
-       DEBUG_PRINT1(dma_array);
-       free(dma_array);
-       dma_array = NULL;
-       printf("# dma_array_free\n");
-       return;
-}
-
-double dma_array_get(dma_dbl_array * dma_array, size_t index);
-
-double dma_array_get(dma_array, index)
-dma_dbl_array *dma_array;
-size_t index;
-{
-       if (index < dma_array->size) {
-               return dma_array->data[index];
-       } else {
-               fprintf(stderr,
-                       "# ERROR: greater index than allocated size is specified.\n");
-               exit(EXIT_FAILURE);
-       }
-}
-
-int dma_array_set(dma_dbl_array * dma_array, size_t index, double value);
-
-int dma_array_set(dma_array, index, value)
-dma_dbl_array *dma_array;
-size_t index;
-double value;
-{
-       if (index < dma_array->size) {
-       } else {
-               double *data2;
-               size_t size2 = 0;
-               size2 = index + 1;
-               /*
-                  if(dma_array->size<(SIZE_MAX - 1)/2){
-                  size2 = dma_array->size * 2 + 1;
-                  }else{
-                  size2 = index + 1;
-                  }
-                */
-               data2 =
-                   (double *) realloc(dma_array->data,
-                                      size2 * sizeof(double));
-               if (data2 == NULL) {
-                       DEBUG_PRINT1(dma_array);
-                       DEBUG_PRINT2("%u", dma_array->size);
-                       DEBUG_PRINT1(dma_array->data);
-                       DEBUG_PRINT2("% e", dma_array->data[0]);
-                       DEBUG_PRINT2("% e", dma_array->data[1]);
-                       DEBUG_PRINT2("% .16e",
-                                    dma_array->data[dma_array->size - 1]);
-                       DEBUG_PRINT2("% .16e",
-                                    dma_array->data[dma_array->size]);
-                       free(dma_array->data);
-                       fprintf(stderr, "# ERROR: % d realloc failure.\n",
-                               size2);
-                       exit(EXIT_FAILURE);
-                       return 1;
-               } else {
-                       dma_array->size = size2;
-                       dma_array->data = data2;
-                       /*
-                          DEBUG_PRINT1(dma_array->data);
-                          DEBUG_PRINT2("% e", dma_array->data[0]);
-                          printf("realloc % d",size2);
-                          free(data2);
-                        */
-               }
-       }
-       dma_array->data[index] = value;
-       return 0;
-}
-
-void dma_array_print(dma_array)
-dma_dbl_array *dma_array;
-{
-       size_t i = 0;
-       size_t array_num = dma_array->size;
-       printf("# dma_array_print\n");
-       DEBUG_PRINT1(dma_array);
-       DEBUG_PRINT2("% d", dma_array->size);
-       DEBUG_PRINT1(dma_array->data);
-       for (i = 0; i < array_num; i++) {
-               printf("%u\t", i);
-               printf("% e\n", dma_array_get(dma_array, i));
-               /*
-                  dma_array_set(dma_array,i,(double)i);
-                */
-       }
-       printf("\n");
-       printf("# dma_array_print\n");
-       return;
-}
-
-void dma_array_test(size_t array_num);
-
-void dma_array_test(array_num)
-size_t array_num;
-{
-       dma_dbl_array *dma_array;
-       printf("# dma_array_test\n");
-       DEBUG_PRINT1(dma_array);
-       dma_array = dma_array_new(array_num);
-       DEBUG_PRINT1(dma_array);
-       DEBUG_PRINT1(*dma_array);
-       dma_array_print(dma_array);
-       DEBUG_PRINT1(dma_array);
-       dma_array_free(dma_array);
-       DEBUG_PRINT1(dma_array);
-       printf("# dma_array_test\n");
-       return;
-}
-
 double norm_rad(double theta);
 
 double norm_rad(theta)
index 6c3d997..d196ca3 100644 (file)
Binary files a/trunk/noumerov/noumerov.o and b/trunk/noumerov/noumerov.o differ